CVE-2021-36980

NameCVE-2021-36980
DescriptionOpen vSwitch (aka openvswitch) 2.11.0 through 2.15.0 has a use-after-free in decode_NXAST_RAW_ENCAP (called from ofpact_decode and ofpacts_decode) during the decoding of a RAW_ENCAP action.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs991308

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openvswitch (PTS)stretch2.6.2~pre+git20161223-3vulnerable
stretch (security)2.6.10-0+deb9u1vulnerable
buster2.10.0+2018.08.28+git.8ca7c82b7d+ds1-12+deb10u2vulnerable
buster (security)2.10.7+ds1-0+deb10u1vulnerable
bullseye, sid2.15.0+ds1-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openvswitchsource(unstable)(unfixed)991308

Notes

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=27851
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/openvswitch/OSV-2020-2197.yaml
https://github.com/openvswitch/ovs/commit/38744b1bcb022c611712527f039722115300f58f
https://github.com/openvswitch/ovs/commit/65c61b0c23a0d474696d7b1cea522a5016a8aeb3
https://github.com/openvswitch/ovs/commit/6d67310f4d2524b466b98f05ebccc1add1e8cf35
https://github.com/openvswitch/ovs/commit/77cccc74deede443e8b9102299efc869a52b65b2
https://github.com/openvswitch/ovs/commit/8ce8dc34b5f73b30ce0c1869af9947013c3c6575

Search for package or bug name: Reporting problems